/*
 * Order.fx
 *
 * Created on 23.05.2011
 */

package uebung8;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;

import javafx.scene.shape.Circle;

import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;

/**
 * @author Alexander De Luca
 */

var circle = Circle {
    centerX: 120
    centerY: 120
    radius: 50
    fill: Color.MAGENTA
    stroke: Color.BLACK
    strokeWidth: 2
}

var rect = Rectangle {
    x: 40
    y: 40
    width: 100
    height: 100
    fill: Color.BLUE
    stroke: Color.BLACK
    strokeWidth: 2
}



var order = 1;
var stage:Stage = Stage {
    title: "Order Matters"
    width: 200
    height: 200
    scene: Scene {
        content: [
            Button {
                text: "Change Order"
                action: function() {
                    delete circle from stage.scene.content;
                    delete rect from stage.scene.content;
                    if(order == 0) {
                        order = 1;
                        insert circle into stage.scene.content;
                        insert rect into stage.scene.content;
                    } else if(order == 1) {
                        order = 0;
                        insert rect into stage.scene.content;
                        insert circle into stage.scene.content;
                    }

                }
            } // Button
            circle,
            rect

        ]
    }
}